Skip to main content

Get validation status

Using a valid submission token, request the current status of a validation

Path Parameters
submissionToken string — REQUIRED

The submission token for the submission

Header Parameters
EID string — REQUIRED

Enter the EDUMIS (Organisation) ID

Responses
200

Acknowledgement of the validation request

Schema — OPTIONAL
submissionToken string — OPTIONAL

The submission token

dateReceived date-time — OPTIONAL

The date that the validation request was received.

dateStarted date-time — OPTIONAL

The date that the validation run was started.

dateCompleted date-time — OPTIONAL

The date that the validation run was completed.

status string — OPTIONAL

Possible values: [Accumulate, RollBack, Cancelled, FailedToTransfer, Halted, InProgress, Processed, Queued, Rejected, Submitted, ContactSupport, SubmitError]

The status of the current submission for this return.

errorCount int32 — OPTIONAL

The number of errors that occurred

warningCount int32 — OPTIONAL

The number of warnings that occured

400

Submission token is not found - check error code for more detail

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL
errors object — OPTIONAL
returnId string — OPTIONAL
submissionToken string — OPTIONAL
content object — OPTIONAL
errorCode string — OPTIONAL
401

Authorization failed

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL
429

Rate Limiting may apply. Refer to Retry-After header

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL